krb5 1.4.1 and GCC_4

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

krb5 1.4.1 and GCC_4

Michael D. Norwick
What tweaks are needed to get krb5-1.4.1 to compile using gcc 4?  I
tried building it without
giving CC=gcc32 value to configure (using gcc-compat on FC4) and the
build chokes trying
to compile telnet.c.  I then gave CC=gcc32 to configure after doing
'make distclean' and things
went normally although 'make check' did not complete with the following
seg fault;

>         > test.out
> cmp test.out ./t_ref_kerb.out
> rm -f test.out
> KRB5_CONFIG=./t_krb5.conf ; export KRB5_CONFIG ;\
>         LD_LIBRARY_PATH=`echo -L../../../lib | sed -e "s/-L//g" -e "s/
> /:/g"`; export LD_LIBRARY_PATH; ./t_ser
> /bin/sh: line 1:  5091 Segmentation fault      ./t_ser
> make[3]: *** [check-unix] Error 139
> make[3]: Leaving directory `/usr/src/krb5-1.4.1/src/lib/krb5/krb'
> make[2]: *** [check-recurse] Error 1
> make[2]: Leaving directory `/usr/src/krb5-1.4.1/src/lib/krb5'
> make[1]: *** [check-recurse] Error 1
> make[1]: Leaving directory `/usr/src/krb5-1.4.1/src/lib'
> make: *** [check-recurse] Error 1

So, did I make a mistake somewhere?

Michael

________________________________________________
Kerberos mailing list           [hidden email]
https://mailman.mit.edu/mailman/listinfo/kerberos